name='protonup-qt'
version='2.7.4'
release='1'
desc='GUI for installing and updating Proton-GE for Steam and Wine-based compatibility tools like Wine-GE for Lutris. Partly based on protonup.'
homepage='https://github.com/DavidoTek/ProtonUp-Qt'
architectures='amd64'
licenses='GPLv3'
provides='protonup-qt'
conflicts='protonup-qt'

deps=('pyside6' 'python-inputs' 'python-psutil' 'python-requests' 'python-setproctitle' 'python-steam' 'python-vdf' 'python-pyxdg' 'python-pyaml' 'qt6-tools')
build_deps=('python-build' 'python-installer' 'python-setuptools' 'python-wheel')

sources=("https://github.com/DavidoTek/ProtonUp-Qt/archive/refs/tags/v2.7.4.tar.gz")
checksums=('SKIP')

prepare() {
cd "${srcdir}"
}

package() {
install -Dm755 "${version}" "${pkgdir}/usr/bin/${name}"
install -Dm644 "${name}.desktop" -t "${pkgdir}/usr/share/applications/"
install -Dm644 "${name}.png" -t "${pkgdir}/usr/share/pixmaps"
install -Dm644 "LICENSE" -t "${pkgdir}/usr/share/licenses/${name}/"
}
